from django.contrib import admin
from .models import Score

class ScoreAdmin(admin.ModelAdmin):
    list_display = ['session', 'semester', 'undergrad', 'static_level', 'course', 'ca1', 'exam', 'total', 'semester_gpa', 'cumulative_gpa', 'points', 'total_points', 'semester_points', 'semester_credits', 'total_credits', 'grade', 'created', 'updated']
    search_fields = ['undergrad__username', 'undergrad__last_name', 'undergrad__first_name']
    list_editable = ['static_level']
    list_filter = ['course', 'semester']
    list_display_links = ['undergrad']
    list_per_page = 20
    # def get_classe(self, obj):
    #     return obj.student.classe
    # get_classe.admin_order_field = 'Student'
    # get_classe.short_description = 'Class'
admin.site.register(Score, ScoreAdmin)
